package com.qmth.teachcloud.mark.dto.mark.manage;

import com.qmth.teachcloud.mark.entity.MarkHeaderTrack;
import com.qmth.teachcloud.mark.entity.MarkTrack;

public class MarkerTrackDTO extends TrackDTO {

    private static final long serialVersionUID = -7010285593473357594L;

    private Long userId;

    public MarkerTrackDTO(MarkTrack track) {
        super(track);
        this.userId = track.getUserId();
    }

    public MarkerTrackDTO(MarkHeaderTrack markHeaderTrack) {
        super(markHeaderTrack);
        this.userId = markHeaderTrack.getUserId();
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
