package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.mark.entity.MarkHeaderTrack;

import java.util.List;

/**
 * <p>
 * 组长轨迹给分表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkHeaderTrackService extends IMppService<MarkHeaderTrack> {

    List<MarkHeaderTrack> listByExamAndPaperNumberAndGroupNumberAndStudentId(Long examId, String paperNumber, Integer groupNumber, Long studentId);

    List<MarkHeaderTrack> listByStudentIdAndQuestionNumber(Long studentId, String questionNumber);

    void deleteByExamIdAndPaperNumberAndGroupNumberAndStudentId(Long examId, String paperNumber, Integer groupNumber, Long studentId);

    void deleteByStudentId(Long studentId);

}
