package com.qmth.teachcloud.task.service;

import com.qmth.distributed.print.business.bean.dto.initMarkData.ExamDetailCourseInitMarkDto;
import com.qmth.teachcloud.common.bean.vo.PaperInfoVo;

/**
 * 打印结束后操作服务类
 */
public interface PrintFinishService {

    void insertMarkPaper(Long examId, String courseCode, String courseName, String paperNumber, String coursePaperId, String packageCode, Long userId, String paperType);

    void insertMarkStudent(ExamDetailCourseInitMarkDto examDetail);

    void insertScanAnswerCardAndMarkQuestion(ExamDetailCourseInitMarkDto dto);

    void insertScanAnswerCard(ExamDetailCourseInitMarkDto dto, PaperInfoVo paperInfoVo, String content);

    void insertMarkQuestion(Long examId, String paperNumber, String paperType, String content);
}
