package com.qmth.teachcloud.mark.bean.archivescore;

import java.util.List;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

public class ArchiveStudentVo {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ExcelProperty(name = "学生姓名", width = 20, index = 1)
    private String studentName;
    @ExcelProperty(name = "学号", width = 20, index = 2)
    private String studentCode;
    @ExcelProperty(name = "学院", width = 20, index = 3)
    private String college;
    @ExcelProperty(name = "班级", width = 20, index = 4)
    private String className;
    @ExcelProperty(name = "课程代码", width = 20, index = 5)
    private String courseCode;
    @ExcelProperty(name = "课程名称", width = 20, index = 6)
    private String courseName;
    @ExcelProperty(name = "成绩", width = 20, index = 7)
    private Double totalScore;

    private List<String> sheetUrls;

    private String sheetPath;
    private Long examStartTime;
    private Long examEndTime;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public List<String> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<String> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSheetPath() {
        return sheetPath;
    }

    public void setSheetPath(String sheetPath) {
        this.sheetPath = sheetPath;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }
}
