package com.qmth.teachcloud.mark.mapper;

import java.util.List;

import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.mark.bean.answercard.AnswerCardVo;
import com.qmth.teachcloud.mark.entity.ScanAnswerCard;

/**
 * <p>
 * 题卡卡格式表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanAnswerCardMapper extends BaseMapper<ScanAnswerCard> {

	List<AnswerCardVo> cardList(@Param("examId")Long examId, @Param("coursePaperId") String coursePaperId, @Param("dpr") DataPermissionRule dpr);

	List<AnswerCardVo> cardGet(@Param("examId")Long examId,@Param("number")Integer number);

}
